Getting started
First things first, you’ll need to request an API key so we can understand what you want to build and ensure we can make it happen.
Briefs
The following API calls are for unauthenticated users and therefore will require that the end user come to 99designs to create an account (or log into an existing one). Each will provide a response with the appropriate URL to allow the end user to do so.
Create a brief
Example request:
curl -X POST https://api.99designs.com/resources/v1/briefs -H "Content-Type:application/json" -d '{"category": "product-packaging","title": "Packaging for The Organic Juicy Fruits Company","description": "I need a package designed for a new flavor of organic juice.","profileApproval": false,"industry": "accounting","inspirationUrls": ["https://example.org/example1","https://example.org/example2"],"budget": {"value": 10000,"currency": "USD"},"other": "","timeframe": {"value": "specific_dates","startDate": "2018-01-20T00:00:00+0500","endDate": "2018-01-20T00:00:00+0500"},"urls": [""],"usage": "Billboards, flyers, and magazines","language": "de"}'
Body parameters:
categorystring | What type of design do you need? e.g. Values3d-designalbum-cover-designapp-designart-illustrationbanner-ad-designbook-cover-designbook-magazine-designbrand-guidebrand-identity-packbrochure-designbusiness-advertisingbusiness-card-designbuttons-iconscar-truck-van-wrap-designcard-invitation-designcharacter-mascot-designclothing-apparel-designclothing-merchandise-designcup-mug-designcustom-wordpress-themesemail-designfacebook-adfacebook-cover-designflash-animationflash-banner-designicon-button-designillustrationsinfographic-designlanding-page-designlogologo-brand-guidelogo-business-card-designlogo-designlogo-product-packaginglogo-websitemagazine-cover-designmenu-designmerchandise-designmobile-app-designnationbuilderotherother-art-illustrationother-book-magazine-designother-business-advertisingother-clothing-merchandise-designother-designother-design-tasksother-packaging-label-designother-website-app-designpackaging-label-designpodcast-cover-designpostcard-flyer-designposter-designpowerpoint-template-designprezi-designprint-designproduct-label-designproduct-packaging-designquickbooks-form-designsignage-designsocial-media-packsocial-media-page-designsquare-online-storesquarespacestationery-designsticker-designt-shirt-designtattoo-designtwitter-background-designtypesettingtypesetting-with-imageryweb-builderweb-designweb-design-codedwebsite-app-designwix-websitewordpress-theme-designzoom-background-design | ||||||
titlestring | What's the name of your project? e.g. | ||||||
descriptionstring | Describe your project e.g. | ||||||
profileApprovalboolean | Can your designer showcase the finished designs in their 99designs portfolio? | ||||||
industrystring | What industry are you in? Valuesaccountingagricultureanimalsarchitecturalartattorneyautomotivebarbusinesschildrencleaningcommunicationscommunitycomputerconstructioncosmeticsdatingeducationentertainmentenvironmentfashionfloralfoodgameshomeindustrialinternetlandscapingmedicalotherphotographyphysicalpoliticsrealestatereligiousrestaurantretailsecurityspasportstechnologytravelwedding | ||||||
inspirationUrlsarray | Inspiration on the web e.g. [
"https://example.org/example1",
"https://example.org/example2"
] | ||||||
budgetobject | Client budget
| ||||||
otherstring | Anything else you'd like to share with your designer? | ||||||
timeframeobject | Project timeframe
| ||||||
urlsarray | Your website and/or social media pages | ||||||
usagestring | How will your design be used? e.g. | ||||||
languagestring | Valuesdeenesfritjanlpt |
Example response(s):
201Created brief
{"id": "abc123","briefUrl": "99designs.com/briefs/abc123"}
400Validation error(s)
{"errors": [{"path": "/briefs","message": "Invalid timeframe"}]}